package de.fhhannover.inform.trust.ifmapj.messages;

import de.fhhannover.inform.trust.ifmapj.identifier.Identifier;

class IdentifierHolderImpl implements IdentifierHolder {
	
	private Identifier mIdentifier1;
	
	private Identifier mIdentifier2;
	
	IdentifierHolderImpl() { }
	
	@Override
	public final Identifier getIdentifier1() {
		return mIdentifier1;
	}

	@Override
	public final void setIdentifier1(Identifier identifier1) {
		mIdentifier1 = identifier1;
	}

	@Override
	public final Identifier getIdentifier2() {
		return mIdentifier2;
	}

	@Override
	public final void setIdentifier2(Identifier identifier2) {
		mIdentifier2 = identifier2;
	}

	@Override
	public final boolean holdsLink() {
		return mIdentifier1 != null && mIdentifier2 != null;
	}

	@Override
	public final Identifier[] getIdentifier() {
		Identifier[] ret = new Identifier[2];
		ret[0] = mIdentifier1;
		ret[1] = mIdentifier2;
		return ret;
	}
}
